PDA

View Full Version : Please, I need help with swf



claudioprv
13 Jul 2012, 1:48 PM
This is my code I copied from ExtJs doc




<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Molde para layout</title>
<link rel="stylesheet" type="text/css" href="../js/ext/resources/css/ext-all.css"/>
<script type="text/javascript" src="../js/swfobject.js"></script>
<script type="text/javascript" src="../js/ext/ext-all-dev.js"></script>
<script type="text/javascript" src="../js/ext/locale/ext-lang-pt_BR.js"></script>
<script type="text/javascript" src="playflash.js"></script>
</head>
<body>
</body>
</html>

Ext.onReady(function(){
var tocadorVideos = Ext.widget('window', {
title: 'Teste de Flash',
layout: 'fit',
width: 480,
height: 340,
x: 20,
y: 20,
resizable: true,
items: {
xtype: 'flash',
url: 'Teste.swf'
}
});
tocadorVideos.show();
});



but it don't work, and I have the follow message error:


this.swf is null
this.swf.setStyle('visibility', 'inherit');


I need to play a swf tutorial window, if someone can help me I'm happy.
Thanks,
ClŠudio.

scottmartin
13 Jul 2012, 3:46 PM
Did you install the flash player as detailed in the Express Install in the API?
http://docs.sencha.com/ext-js/4-1/#!/api/Ext.flash.Component

Ext.flash.Component.EXPRESS_INSTALL_URL

Scott.

claudioprv
14 Jul 2012, 8:17 AM
Hello Scott,


I already have the flash player installed and running on the machine, I still have to add this component to the sample working perfect?


I am inexperienced with Extjs, how would my source code?

this:



Ext.flash.Component.EXPRESS_INSTALL_URL = 'http://localhost/sample/installflash/expressInstall.swf';


Ext.onReady(function(){
var tocadorVideos = Ext.widget('window', {
title: 'Teste de Flash',
layout: 'fit',
width: 480,
height: 340,
x: 20,
y: 20,
resizable: true,
items: {
xtype: 'flash',
url: 'Teste.swf'
}
});
tocadorVideos.show();
});



37197


or you think swf does not work well with extjs and I better give up and convert everything to mp4 and html5 player?


Did you install the flash player as detailed in the Express Install in the API?
http://docs.sencha.com/ext-js/4-1/#!/api/Ext.flash.Component

Ext.flash.Component.EXPRESS_INSTALL_URL

Scott.

claudioprv
16 Jul 2012, 8:32 AM
I discover the problem, I report in the bug forum...

Swf flash works fine in the 4.0.7 version, the error occurs only in 4.1 version, probably a little bug?